// simple implementation of I2c protocol
// here since the address is limited by 8 bits
// so to address larger byte of address there are three extra pins
// so address fom 3 pins + address from i2c byte are total address

void main(){
  PORTB = 0;
  TRISB = 0;                 // Configure PORTB as output
    while(1)
  {
  
  I2C1_Init(100000);         // initialize I2C communication    \

//  /*I2C1_Start();     */         // issue I2C start signal
//  I2C1_Wr(0xA0);    // send byte via I2C  (device address + W)    there is mandatory A 1 and 0 seq // zero indicates write
//  I2C1_Wr(0x55);                // send byte (address of EEPROM location)
//  I2C1_Wr(0x0F);             // send data (data to be written)
//  I2C1_Stop();   */            // issue I2C stop signal

  //Delay_100ms();                                                // there is ack after msg

  I2C1_Start();              // issue I2C start signal
  I2C1_Wr(0xd0);             // send byte via I2C  (device address + W)
  //I2C1_Wr(0x55);                // send byte (data address)
  I2C1_Repeated_Start();     // issue I2C signal repeated start
  I2C1_Wr(0xd1);             // send byte (device address + R)
  PORTB = I2C1_Rd(1u);       // Read the data (NO acknowledge)
  PORTB = I2C1_Rd(1u);
  PORTB = I2C1_Rd(1u);
  I2C1_Stop();               // issue I2C stop signal
  delay_ms(1);
  }
}